1 Reply Latest reply: Nov 14, 2012 10:15 AM by Niel
kbpaden Level 1 Level 1 (0 points)

Help!  I have a new ipod and iphone, and i can't connect to my itunes, as it won't run 10.7 because i have a lame OS!


MacBook Pro, Mac OS X (10.5.8)